Subject: Re: Default TCP Options creating problems

From: Nanda Kumar <[email-masked]>
Date: Fri, 27 Jan 2012 21:21:54 +0530

Hi Eric,

On Friday 27 January 2012 08:19 PM, Eric Dumazet wrote:
> Le vendredi 27 janvier 2012 à 19:45 +0530, Nanda Kumar a écrit :
>> Hi,
>>
>> I am using Ubuntu 11.10 and unable to connect to my ISP login server.
>> The same is working under windows. Under linux, ISP server does not
>> respond TCP SYN packet even. I did a comparison of packet capture of
>> windows and linux and found, linux include TCP options by default.
>> After manually disabling TCP Timestamp via sysctl, the login is
>> happening fine.
>>
>> Is there any reason why TCP option is enabled by default? The same
>> problem was happening under OpenSUSE 12.1 x86_64 also. My friend
>> informed me that his android mobile is also unable to connect to ISP
>> login server.
> I am very sorry, but you should complain to your ISP, 20 years after RFC
> 1323, it should support it.
>
> TCP options are ... options, and as such should not be denied by a
> conformant TCP stack.
>
>
>
>

Thank you for the reply. Yes even I feel so. I have put up this issue to 
ISP.

However this issue is happening only with TCP timestamp option. All 
other options are working fine. Any idea?

Regards,
Nandakumar